## harbour-2.0.0-src.zip

=== Makefile ===
#
# $Id: Makefile 12677 2009-10-09 14:54:14Z vszakats $
#

ROOT := ./

include $(ROOT)config/global.mk

ifeq ($(HB_BUILD_PARTS),compiler)

   DIRS := \
      src \
      utils{src} \

else

   ifeq ($(HB_BUILD_PARTS),lib)
      HB_UTIL_DIR :=
   else
      HB_UTIL_DIR := utils{src}
   endif

   DIRS := \
      doc \
      include \
      external \
      src{external} \
      $(HB_UTIL_DIR) \
      contrib{src} \

endif

include $(ROOT)config/dir.mk

ifeq ($(HB_SHELL),sh)
   HB_POSTINST := $(TOP)$(ROOT)bin/postinst.sh
else
   ifeq ($(HB_SHELL),os2)
      HB_POSTINST := $(subst /,\,$(TOP)$(ROOT)bin/postinst.cmd)
   else
      HB_POSTINST := $(subst /,\,$(TOP)$(ROOT)bin/postinst.bat)
   endif
endif

install::
	+$(HB_HOST_BIN_DIR)/hbrun$(HB_HOST_BIN_EXT) --hb:gtcgi $(TOP)$(ROOT)bin/postinst.prg
	$(if $(wildcard $(HB_POSTINST)),+$(HB_POSTINST),)

=== contrib/Makefile ===
#
# $Id: Makefile 13141 2009-12-06 11:40:52Z vszakats $
#

ROOT := ../

ifeq ($(HB_CONTRIBLIBS),)

# contribs _without_ external dependencies
DIRS := \
   gtwvg \
   hbbmcdx \
   hbbtree \
   hbclipsm \
   hbct \
   hbgt \
   hbmemio \
   hbmisc \
   hbmzip \
   hbnetio \
   hbnf \
   hbodbc \
   hbsms \
   hbsqlit3 \
   hbtip \
   hbtpathy \
   hbwin \
   hbziparc \
   xhb \
   xpp \

# contribs _with_ external dependencies
DIRS += \
   gtalleg \
   hbblat \
   hbcairo \
   hbcurl \
   hbfbird \
   hbfimage \
   hbgd \
   hbhpdf \
   hbmysql \
   hbpgsql \
   hbqt \
   hbssl \
   rddads \
   rddsql \

# contribs dependent on above
DIRS += \
   hbxbp \

else

ifneq ($(HB_CONTRIBLIBS),no)
   DIRS := $(HB_CONTRIBLIBS)
else
   DIRS :=
endif

endif

DIRS += $(HB_CONTRIB_ADDONS)

ifneq ($(DIRS),)
   include $(TOP)$(ROOT)config/dir.mk
else
   include $(TOP)$(ROOT)config/none.mk
endif

=== doc/Makefile ===
#
# $Id: Makefile 12293 2009-08-23 17:36:32Z vszakats $
#

ROOT := ../

DOC_FILES := \
   c_std.txt \
   class_tp.txt \
   cmdline.txt \
   cmpopt.txt \
   codebloc.txt \
   codestyl.txt \
   destruct.txt \
   dirstruc.txt \
   gmake.txt \
   gtapi.txt \
   hdr_tpl.txt \
   howtobld.txt \
   howtorel.txt \
   howtosvn.txt \
   inet.txt \
   pcode.txt \
   pp.txt \
   pragma.txt \
   readme.txt \
   statics.txt \
   tracing.txt \
   transfrm.txt \
   vm.txt \
   whatsnew.txt \
   windll.txt \

DIRS := \
   en-EN \

include $(TOP)$(ROOT)config/doc.mk
include $(TOP)$(ROOT)config/dir.mk

=== external/Makefile ===
#
# $Id: Makefile 13218 2009-12-12 00:43:01Z druzus $
#

ROOT := ../

ifeq ($(HB_EXTERNALLIBS),)

# standalone contribs
DIRS := \
   sqlite3 \
   libhpdf \
   libpng \
   pcre \
   zlib \

else

ifneq ($(HB_EXTERNALLIBS),no)
   DIRS := $(HB_EXTERNALLIBS)
else
   DIRS :=
endif

endif

DIRS += $(HB_EXTERNAL_ADDONS)

ifneq ($(DIRS),)
include $(TOP)$(ROOT)config/dir.mk
else
include $(TOP)$(ROOT)config/none.mk
endif

=== include/Makefile ===
#
# $Id: Makefile 13331 2009-12-20 21:12:54Z druzus $
#

ROOT := ../

C_HEADERS := \
   clipdefs.h \
   extend.h \
   hbapi.h \
   hbapicdp.h \
   hbapicls.h \
   hbapidbg.h \
   hbapierr.h \
   hbapifs.h \
   hbapigt.h \
   hbapiitm.h \
   hbapilng.h \
   hbapirdd.h \
   hbapistr.h \
   hbassert.h \
   hbatomic.h \
   hbbfish.h \
   hbcdpreg.h \
   hbchksum.h \
   hbcomp.h \
   hbcompdf.h \
   hbdate.h \
   hbdbf.h \
   hbdbferr.h \
   hbdbsort.h \
   hbdefs.h \
   hberrors.h \
   hbexprop.h \
   hbgtcore.h \
   hbgtreg.h \
   hbhash.h \
   hbiniseg.h \
   hbinit.h \
   hbmacro.h \
   hbmath.h \
   hbmsgreg.h \
   hbpcode.h \
   hbpp.h \
   hbrddcdx.h \
   hbrdddbf.h \
   hbrddfpt.h \
   hbrdddel.h \
   hbrddntx.h \
   hbrddsdf.h \
   hbrddnsx.h \
   hbregex.h \
   hbset.h \
   hbsetup.h \
   hbsocket.h \
   hbstack.h \
   hbsxfunc.h \
   hbthread.h \
   hbtrace.h \
   hbtypes.h \
   hbver.h \
   hbvm.h \
   hbvmint.h \
   hbvmopt.h \
   hbvmpub.h \
   hbxvm.h \
   hbwince.h \
   hbwinuni.h \
   hbzlib.h \
   hb_io.h \

PRG_HEADERS := \
   achoice.ch \
   assert.ch \
   box.ch \
   button.ch \
   blob.ch \
   color.ch \
   common.ch \
   dbedit.ch \
   dbinfo.ch \
   dbstruct.ch \
   directry.ch \
   error.ch \
   fileio.ch \
   getexit.ch \
   hbclass.ch \
   hbdebug.ch \
   hbextcdp.ch \
   hbextlng.ch \
   hbextern.ch \
   hbgfx.ch \
   hbgfxdef.ch \
   hbgtinfo.ch \
   hbhrb.ch \
   hbinkey.ch \
   hblang.ch \
   hbmacro.ch \
   hbmath.ch \
   hbmemory.ch \
   hbmemvar.ch \
   hboo.ch \
   hbpers.ch \
   hbsetup.ch \
   hbsix.ch \
   hbsocket.ch \
   hbstdgen.ch \
   hbthread.ch \
   hbtrace.ch \
   hbusrrdd.ch \
   hbver.ch \
   hbzlib.ch \
   inkey.ch \
   memoedit.ch \
   ord.ch \
   rddsys.ch \
   reserved.ch \
   set.ch \
   setcurs.ch \
   simpleio.ch \
   std.ch \
   hbsxdef.ch \
   tbrowse.ch \

API_HEADERS := \
   error.api \
   extend.api \
   filesys.api \
   fm.api \
   gt.api \
   hbundoc.api \
   item.api \
   rdd.api \
   vm.api \

include $(TOP)$(ROOT)config/header.mk

=== src/Makefile ===
#
# $Id: Makefile 13174 2009-12-09 14:33:48Z druzus $
#

ROOT := ../

include $(TOP)$(ROOT)config/global.mk

ifeq ($(HB_BUILD_PARTS),compiler)

   DIRS := \
      common \
      nortl \
      pp{common,nortl} \
      compiler{pp} \
      main{compiler} \

else

   ifneq ($(HB_BUILD_DLL),no)

      DYNDIRLIST_BASE := \
         src/common \
         src/pp \
         src/rtl \
         src/macro \
         src/lang \
         src/codepage \
         src/hbextern \
         src/rdd \
         src/rdd/dbfntx \
         src/rdd/dbfnsx \
         src/rdd/dbfcdx \
         src/rdd/dbffpt \
         src/rdd/hbsix \
         src/rdd/hsx \
         src/rdd/usrrdd \
         src/rtl/gtcgi \
         src/rtl/gtpca \
         src/rtl/gtstd

      ifeq ($(HB_PLATFORM),dos)
         DYNDIRLIST_BASE += src/rtl/gtdos
      endif
      ifeq ($(HB_PLATFORM),os2)
         DYNDIRLIST_BASE += src/rtl/gtos2
      endif
      ifeq ($(HB_PLATFORM),wce)
         DYNDIRLIST_BASE += src/rtl/gtwvt src/rtl/gtgui
      endif
      ifeq ($(HB_PLATFORM),win)
         DYNDIRLIST_BASE += src/rtl/gtwvt src/rtl/gtgui src/rtl/gtwin
      endif
      ifneq ($(HB_PLATFORM_UNIX),)
         DYNDIRLIST_BASE += src/rtl/gttrm
         DYNDIRLIST_BASE += src/rtl/gtcrs
         DYNDIRLIST_BASE += src/rtl/gtsln
         DYNDIRLIST_BASE += src/rtl/gtxwc
      endif
      ifeq ($(HB_COMPILER),watcom)
         DYNDIRLIST_BASE += src/vm/maindllh
      endif
      ifeq ($(HB_COMPILER),xcc)
         DYNDIRLIST_BASE += src/vm/maindllh
      endif

      ifneq ($(HB_HAS_PCRE_LOCAL),)
         DYNDIRLIST_BASE += external/pcre
      endif
      ifneq ($(HB_HAS_ZLIB_LOCAL),)
         DYNDIRLIST_BASE += external/zlib
      endif

      export DYNDIRLIST_BASE
   endif

   ifeq ($(HB_BUILD_PARTS),lib)
      HB_COMP_DIR :=
      HB_COMP_REF :=
   else
      HB_COMP_DIR := main{compiler}
      HB_COMP_REF := {main}
   endif

   DIRS := \
      common \
      nortl \
      pp{common,nortl} \
      compiler{pp} \
      $(HB_COMP_DIR) \
      vm$(HB_COMP_REF) \
      rtl$(HB_COMP_REF) \
      macro \
      codepage \
      lang \
      rdd$(HB_COMP_REF) \
      hbextern$(HB_COMP_REF) \
      debug$(HB_COMP_REF)

      ifneq ($(HB_BUILD_DLL),no)
         DIRS += dynlib{codepage,common,hbextern,lang,macro,pp,rdd,rtl,vm}
      endif

endif

include $(ROOT)config/dir.mk

=== utils/Makefile ===
#
# $Id: Makefile 12619 2009-09-24 15:43:10Z vszakats $
#

ROOT := ../

DIRS := \
   hbrun \
   hbmk2 \

ifneq ($(HB_BUILD_PARTS),compiler)

   DIRS += \
      hbi18n \
      hbtest \
      hbformat \

endif

DIRS += $(HB_UTIL_ADDONS)

include $(ROOT)config/dir.mk

=== contrib/gtalleg/Makefile ===
#
# $Id: Makefile 12402 2009-09-05 00:23:51Z vszakats $
#

ROOT := ../../

include $(TOP)$(ROOT)config/global.mk

LIBNAME := gtalleg

C_SOURCES := \
   gtalleg.c \
   ssf.c \

_DET_DSP_NAME := allegro
_DET_VAR_INC_ := HB_INC_ALLEGRO
_DET_VAR_HAS_ := HB_HAS_ALLEGRO
_DET_FLT_PLAT :=
_DET_FLT_COMP := !pocc !pocc64 !poccarm !xcc !dmc !watcom !mingwarm
_DET_INC_DEFP := /usr/include /opt/local/include
_DET_INC_HEAD := /allegro.h
include $(TOP)$(ROOT)config/detfun.mk

ifneq ($(HB_HAS_ALLEGRO),)

   HB_CFLAGS += $(foreach d,$(HB_HAS_ALLEGRO),-I$(d))

   include $(TOP)$(ROOT)config/lib.mk

   DIRS += gtallegs
   include $(TOP)$(ROOT)config/dir.mk
else
   HB_SKIP_REASON := $(_DET_RES_TEXT)
   include $(TOP)$(ROOT)config/none.mk
endif

=== contrib/gtqtc/Makefile ===
#
# $Id: Makefile 13248 2009-12-15 10:53:13Z vszakats $
#

ROOT := ../../

include $(TOP)$(ROOT)config/global.mk

LIBNAME := gtqtc

MOC_HEADERS := \
   gtqtc.h \

CPP_SOURCES := \
   gtqtc.cpp \

PRG_HEADERS := \
   hbgtqtc.ch

_QT_HEADERS = qtgui

include $(TOP)$(ROOT)contrib/hbqt/detect.mk

ifneq ($(HB_HAS_QT),)

   include $(TOP)$(ROOT)contrib/hbqt/moc.mk
   include $(TOP)$(ROOT)config/header.mk
   include $(TOP)$(ROOT)config/lib.mk

   ifneq ($(filter $(HB_PLATFORM),win wce),)
      ifneq ($(HB_QT_STATIC),)
         DIRS += gtqtcs
         include $(TOP)$(ROOT)config/dir.mk
      endif
   endif
endif

=== contrib/gtwvg/Makefile ===
#
# $Id: Makefile 12935 2009-11-19 08:42:33Z vszakats $
#

ROOT := ../../

include $(TOP)$(ROOT)config/global.mk

LIBNAME := gtwvg

C_SOURCES := \
   gtwvg.c \
   wvgcore.c \
   wvgutils.c \
   wvgwin.c \
   wvgwing.c \
   wvgsink.c \
   wvggui.c \
   wvgcuig.c \

PRG_SOURCES := \
   wvgclass.prg \
   wvgpaint.prg \
   wvgphdlr.prg \
   wvgwnd.prg \
   wvgcrt.prg \
   wvgax.prg \
   wvgdlg.prg \
   wvgmenub.prg \
   wvgtoolb.prg \
   wvgcombo.prg \
   wvglistb.prg \
   wvgpushb.prg \
   wvgstatb.prg \
   wvgstatc.prg \
   wvgtreev.prg \
   wvgcheck.prg \
   wvgdatar.prg \
   wvgradio.prg \
   wvg3stat.prg \
   wvgbitmp.prg \
   wvgsle.prg \
   wvgmle.prg \
   wvghtmlv.prg \
   wvgsysw.prg \
   wvgdarea.prg \
   wvgscrlb.prg \
   wvgtabpg.prg \

PRG_HEADERS := \
   hbgtwvg.ch \
   wvtwin.ch \
   wvgparts.ch \

ifeq ($(HB_PLATFORM),win)
   
   HB_INC_DEPEND := -I$(TOP)$(ROOT)contrib/hbwin
   
   include $(TOP)$(ROOT)config/header.mk
   include $(TOP)$(ROOT)config/lib.mk
else
   HB_SKIP_REASON := platform not supported
   include $(TOP)$(ROOT)config/none.mk
endif

=== contrib/hbblat/Makefile ===
#
# $Id: Makefile 12471 2009-09-11 01:49:57Z vszakats $
#

ROOT := ../../

include $(TOP)$(ROOT)config/global.mk

LIBNAME := hbblat

C_SOURCES := \
   blatwrp.c \

PRG_SOURCES := \
   blatcls.prg \

PRG_HEADERS := \
   hbblat.ch \

ifeq ($(HB_PLATFORM),win)
   include $(TOP)$(ROOT)config/header.mk
   include $(TOP)$(ROOT)config/lib.mk
else
   HB_SKIP_REASON := platform not supported
   include $(TOP)$(ROOT)config/none.mk
endif

=== contrib/hbbmcdx/Makefile ===
#
# $Id: Makefile 12150 2009-08-17 17:32:21Z vszakats $
#

ROOT := ../../

C_SOURCES := \
   bmdbfcdx.c \
   bmsixcdx.c

LIBNAME := hbbmcdx

include $(TOP)$(ROOT)config/lib.mk

=== debian/changelog ===
harbour (2.0.0-1) unstable; urgency=low

  * 2.0.0-1

 -- Przemyslaw Czerpak <druzus@priv.onet.pl>  Tue, 22 Dec 2009 18:54:00 +0200

harbour (2.0.0beta3-1) unstable; urgency=low

  * 2.0.0beta3-1

 -- Przemyslaw Czerpak <druzus@priv.onet.pl>  Mon, 12 Oct 2009 01:02:03 +0200

harbour (2.0.0beta1-1) unstable; urgency=low

  * 2.0.0beta1-1

 -- Viktor Szakats <harbour___@syenar.hu>  Wed, 10 Jun 2009 16:40:15 +0200

harbour (1.0.1-1) unstable; urgency=low

  * Please see doc/whatsnew.txt

 -- Viktor Szakats <harbour___@syenar.hu>  Tue, 16 Sep 2008 14:54:38 +0200

harbour (1.0.0-1) unstable; urgency=low

  * Lot of new stuff see changelog

 -- guy.roussin <guy.roussin@teledetection.fr>  Mon, 28 Jul 2008 15:40:38 +0200

harbour (0.45.0-0.1) unstable; urgency=low

  * NMU
  * New upstream release.
  * Bump to Standards-Version 3.6.2.
  * Drop gcc-3.3 build-dep.

 -- Clint Adams <schizo@debian.org>  Thu, 18 May 2006 14:43:11 -0400

harbour (0.44-1) unstable; urgency=low

  * Initial Release (closes: Bug#251486).

 -- Luis Mayoral <mayoral@linuxadicto.org>  Sun, 05 Sep 2004 14:33:19 +0200

=== debian/control ===
Source: harbour
Section: devel
Priority: optional
Maintainer: Luis Mayoral <mayoral@linuxadicto.org>
Build-Depends: debhelper (>= 4.0.0), binutils, bash, gcc
Standards-Version: 3.6.2

Package: harbour
Architecture: any
Depends: ${shlibs:Depends}
Description: Compiler for the xBase superset language often referred to as Clipper
 Harbour is a free software compiler for the xBase superset language
 often referred to as Clipper (the language that is implemented by the
 compiler CA-Cl*pper).
 .
 Harbour is a cross platform compiler and is known to compile and run on
 MS-DOS, MS Windows, OS/2 and GNU/Linux, *BSD systems, Mac OS X, HP-UX and
 other *nixes
 .
 The main advantage Harbour has over other Clipper compilers is that it
 is free software. Harbour also attempts to remove some of the limits
 imposed by the base implementation but the extent of this will depend on
 your chosen platform.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE := 1

export HB_BIN_INSTALL := /usr/bin
export HB_LIB_INSTALL := /usr/lib/harbour
export HB_INC_INSTALL := /usr/include/harbour
export HB_DOC_INSTALL := /usr/share/doc/harbour
export HB_ETC_INSTALL := /etc/harbour
export HB_INST_PKGPREF := $(CURDIR)/debian/harbour

# is INSTDIR necessary for dpkg? If not then please remove it.
export INSTDIR := $(HB_INST_PKGPREF)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
   HB_USER_CFLAGS += -O0
else
   HB_USER_CFLAGS += -O3
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
   INSTALL_PROGRAM += -s
else
   HB_USER_CFLAGS := -g
endif

build: build-stamp

build-stamp:
	dh_testdir

	make

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make install
	install -m644 src/rtl/gtcrs/hb-charmap.def $(HB_INST_PKGPREF)$(HB_ETC_INSTALL)/hb-charmap.def


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installman doc/man/harbour.1 doc/man/hbmk.1 doc/man/hbpp.1 doc/man/hbrun.1 doc/man/hbtest.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
